# parsl.set_file_logger

parsl.set_file_logger(filename: str, name: str = 'parsl', level: int = logging.DEBUG, format_string: str | None = None) → Callable[[], None]

  Add a file log handler.

  Parameters:

    - filename (-) – Name of the file to write logs to

    - name (-) – Logger name

    - level (-) – Set the logging level.

    - format_string (-) – Set the format string

  Returns:

    - a callable which, when invoked, will reverse the log handler attachments made by this call. (compare to how object based pieces of parsl model this as a close/shutdown/cleanup method on the object))